cpw.mods.fml.client

## Class CopySubimageTextureHelper

- java.lang.Object
- - cpw.mods.fml.client.TextureHelper
  - - cpw.mods.fml.client.CopySubimageTextureHelper

-     public class CopySubimageTextureHelper
      extends TextureHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopySubimageTextureHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doTextureCopy(Texture atlas, Texture source, int atlasX, int atlasY)` Copy the texture from the source to the atlas at the specified position This will use the devised GL helper to do either GL-side copy or a subimage upload
    `void` | `doTextureUpload(TextureStitched source)` Upload the texture to the GPU for GL side copying operations This may be a no-op depending on the active implementation.

    - ### Methods inherited from class cpw.mods.fml.client.TextureHelper

      `rotateTexture`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopySubimageTextureHelper

          public CopySubimageTextureHelper()

  - ### Method Detail

    - #### doTextureCopy

          public void doTextureCopy(Texture atlas,
                           Texture source,
                           int atlasX,
                           int atlasY)

      Description copied from class: `TextureHelper`
      Copy the texture from the source to the atlas at the specified position This will use the devised GL helper to do either GL-side copy or a subimage upload
      Specified by:
        `doTextureCopy` in class `TextureHelper`
      Parameters:
        `atlas` - The atlas texture we're copying into
        `source` - The source texture we're copying from (complete)
        `atlasX` - The X position on the atlas
        `atlasY` - The Y position on the atlas

    - #### doTextureUpload

          public void doTextureUpload(TextureStitched source)

      Description copied from class: `TextureHelper`
      Upload the texture to the GPU for GL side copying operations This may be a no-op depending on the active implementation.
      Specified by:
        `doTextureUpload` in class `TextureHelper`
      Parameters:
        `source` - The texture to upload